/**
 * Copyright 2009-2012 Serli
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.plan.deploy.deployable.api;

import org.ow2.util.ee.deploy.api.deployable.FileDeployable;
import org.ow2.util.plan.bindings.deploymentplan.DeploymentPlan;

/**
 * interface for deployment plan deployables.
 * @author mleduque
 */
public interface DeploymentPlanDeployable extends
        FileDeployable<DeploymentPlanDeployable, DeploymentPlan> {

    /**
     * Returns the bindings data attached to the deployable.
     * @return the bindings data.
     */
    public DeploymentPlan getAttachedData();

    /**
     * Sets the bindings data attached to the deployable.
     * @param attachedData the bindings data.
     */
    public void setAttachedData(final DeploymentPlan attachedData);

}
