/**
 * Copyright 2009-2012 Serli
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.plan.deployer;

import org.ow2.util.plan.deployer.impl.AbsRepositoryDeployerImpl;
import org.ow2.util.plan.repository.api.IRepositoryManager;


/**
 * Repository Deployer that uses a RepositoryManager that is a
 * property.
 * @author Mickaël LEDUQUE
 *
 */
public class OsgiRepositoryDeployerImpl extends AbsRepositoryDeployerImpl {

    /**
     * The repository manager that will be used.
     */
    private IRepositoryManager repositoryManager = null;

    /**
     * Sets the repository manager.
     * @param repositoryManager the new repository manager.
     */
    public void setRepositoryManager(IRepositoryManager repositoryManager) {
        this.repositoryManager = repositoryManager;
    }

    /**
     * Returns the repository manager.
     * @return the repository manager.
     */
    public IRepositoryManager getRepositoryManager() {
        return repositoryManager;
    }
}
