/**
 * Copyright 2009-2012 Serli
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.plan.reader.repository;

import java.io.File;
import java.io.IOException;

import org.ow2.util.plan.bindings.repository.Repositories;
import org.ow2.util.plan.reader.IReader;
import org.ow2.util.plan.reader.ReaderException;

/**
 * Interface for the IReader objects that read Repositories objects.
 * @author mleduque
 */
public interface IRepositoryDataReader extends IReader {

    /**
     * Unmarshalls a Repositories object from the given file.
     * @param file the file to be read.
     * @return The Repositories object unmarshalled from the file.
     * @throws ReaderException in case of parsing error.
     * @throws IOException in case of IO error.
     */
    Repositories readRepositories(File file)
                        throws ReaderException, IOException;

}
