/**
 * Copyright 2009-2012 Serli
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.plan.reader.test;

import static org.testng.Assert.assertNotNull;

import java.io.File;

import org.ow2.util.plan.bindings.repository.Repositories;
import org.ow2.util.plan.bindings.repository.Repository;
import org.ow2.util.plan.reader.ReaderValidationEventHandler;
import org.ow2.util.plan.reader.repository.IRepositoryDataReader;
import org.ow2.util.plan.reader.repository.RepositoryDataReaderImpl;
import org.testng.annotations.Test;

@Test(sequential = true)
public class RepositoriesLoadTest {

    /**
     * The repositories in the repository resource.
     */
    Repositories repositories = null;

    /**
     * The list of repositories.
     */
    java.util.List<Repository> repositoryList = null;

    /**
     * The repositories resource reader.
     */
    IRepositoryDataReader reader = null;

    @Test
    public void getReader() throws Exception {
        this.reader = new RepositoryDataReaderImpl();

    }

    @Test(dependsOnMethods = { "getReader" })
    public void loadRepositories() throws Exception {
        this.reader.setValidationEventHandler(new ReaderValidationEventHandler(
                1));
        synchronized (this.reader) {
            this.repositories = this.reader.readRepositories(new File(
                    "target/test-classes/repositories.xml"));
        }

        this.repositoryList = this.repositories.getRepositories();
        assertNotNull(this.repositoryList,
                "no deployment-plan@*:deployment !");
    }

    @Test(dependsOnMethods = { "loadRepositories" })
    public void countRespoitoris() throws Exception {
        if (this.repositoryList.size() != 3) {
            throw new Exception("repositories/* has bad repositories number: "
                    + this.repositoryList.size() + " expected 3");
        }
    }


}
